// © Copyrights 2026 Praajna Pattada

#include <iostream>
#include <limits>
using namespace std;

int a {};

int main()
{
    cout << "Enter any integer lesser than or equal to 5: ";
    cin >> a;

    switch(a)
    {
        case 1:
            cout << '\n' << "You have entered 1." << '\n';
            break;
        
        case 2:
            cout << '\n' << "You have entered 2." << '\n';
            break;

        case 3:
            cout << '\n' << "You have entered 3." << '\n';
            break;

        case 4:
            cout << '\n' << "You have entered 4." << '\n';
            break;

        case 5:
            cout << '\n' << "You have entered 5." << '\n';
            break;

        default:
            cout << '\n' << "You have entered some other value." << '\n';
            break;
    }

    cin.clear();
    cin.ignore(numeric_limits<streamsize>::max(), '\n');
    cin.get();
    return 0;
}
